Skip to main content
PUT
/
v1
/
ucp
/
orders
/
{id}
/
expectations
/
{expectationId}
Update expectation
curl --request PUT \
  --url https://api.getsly.ai/v1/v1/ucp/orders/{id}/expectations/{expectationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "shipping",
  "expected_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "status": "pending"
}
'
{
  "data": {
    "id": "<string>",
    "type": "shipping",
    "expected_at": "2023-11-07T05:31:56Z",
    "status": "pending",
    "description": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Path Parameters

id
string
required
expectationId
string
required

Body

application/json
type
enum<string>
Available options:
shipping,
digital_delivery,
fulfillment
expected_at
string<date-time>
description
string
status
enum<string>
Available options:
pending,
met,
missed

Response

200 - application/json

Updated

data
object
required